FEDORA-EPEL-2018-d2e0971e9b

security update in Fedora EPEL 7 for uwsgi

Status: stable 10 months ago

  • Modernize and generalize building of Python subpackages:
  • replace python with python2
  • use appropriate macros for when refering to Python 3
  • prefix Python-dependent plugins with the version of Python they are built with
  • Also build Python 3 subpackages for the other Python 3 version in EPEL7

  • Build Python 3 version(s) of gevent plugin on Fedora and EPEL7
  • Build Python 3 version of greenlet plugin on Fedora and EPEL7
  • Build Python 2 version of greenlet plugin on EPEL7
  • Always build Python 3 version of tornado plugin when building with Python 3 (drop python3_tornado build conditional)

  • Latest upstream (#1549354)
  • Enable uwsgi-plugin-coroae on EL7
  • Use systemd tmpfiles to create /run/uwsgi with group write permissions (#1427303)
  • Use /var/run/uwsgi when not using systemd
  • Build with versioned python command
  • Remove %%config from systemd unit file
  • Disable greenlet plugin on EL7

How to install

sudo dnf upgrade --advisory=FEDORA-EPEL-2018-d2e0971e9b

Comments 9

This update has been submitted for testing by carlwgeorge.

This update has been pushed to testing.

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

We've been using this in production for almost 2 months and we haven't had any problems so far.

@carlwgeorge, when do you plan to push this to stable?

karma: +1

This update has been submitted for batched by carlwgeorge.

This update has been submitted for stable by carlwgeorge.

Sorry for the delay, pushing now.

This update has been pushed to stable.

Content Type
RPM
Status
stable
Test Gating
Submitted by
Update Type
security
Update Severity
unspecified
Karma
+2
stable threshold: 3
unstable threshold: -3
Autopush
Enabled
Dates
submitted a year ago
in testing a year ago
in stable 10 months ago

Related Bugs 3

00 #1427303 Add group write permission to socket directory
00 #1549354 uwsgi-2.0.17.1 is available
00 #1549439 CVE-2018-7490 uWSGI: Mishandled DOCUMENT_ROOT check with use of --php-docroot option allows for directory traversal [epel-all]

Automated Test Results